Subject: Re: 23.1.50; bad function name: browse-url-default-browser

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Tue, 12 Jul 2011 23:37:09 +0200

Leo <[email-masked]> writes:

> ,----[ C-h f browse-url-default-browser RET ]
> | browse-url-default-browser is a compiled Lisp function in
> | `browse-url.el'.

[...]

> The only thing that is related to 'default' is it uses url around point
> by default. But the name is misleading, for example, emacs-w3m uses it
> to open a default external browser, but it will open bizarre browsers on
> OS X or Windows.
>
> I wonder if the function name can be improved, for example,
> browse-url-try-browsers.

I think the function name is clear enough, and renaming it would
introduce churn for little extra gain, so I'm closing this report.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/